org.yaml.snakeyaml.tokens

## Class WhitespaceToken

- java.lang.Object
- - org.yaml.snakeyaml.tokens.Token
  - - org.yaml.snakeyaml.tokens.WhitespaceToken

Deprecated.
it will be removed because it is not used

    public class WhitespaceToken
    extends Token

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.tokens.Token

`Token.ID`

### Constructor Summary

Constructors
Constructor and Description
`WhitespaceToken(Mark startMark, Mark endMark)` Deprecated.

### Method Summary

Methods
`Token.ID` `getTokenId()` Deprecated. For error reporting.

### Methods inherited from class org.yaml.snakeyaml.tokens.Token

`getEndMark, getStartMark`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhitespaceToken

    public WhitespaceToken(Mark startMark,
                   Mark endMark)

Deprecated.

### Method Detail

#### getTokenId

    public Token.ID getTokenId()

Deprecated.
Description copied from class: `Token`
For error reporting.

Specified by:
  `getTokenId` in class `Token`
Returns:
  ID of this token
See Also:
  "class variable 'id' in PyYAML"